certificate-1.3.9: Certificates and Key Reader/Writer

Safe Haskell | None

Data.CertificateStore

Contents

- Queries

Synopsis

- data CertificateStore
- makeCertificateStore :: [X509] -> CertificateStore
- findCertificate :: DistinguishedName -> CertificateStore -> Maybe X509
- listCertificates :: CertificateStore -> [X509]

# Documentation

data CertificateStore Source

A Collection of certificate or store of certificates.

Instances

Monoid CertificateStore |

makeCertificateStore :: [X509] -> CertificateStore Source

Create a certificate store out of a list of X509 certificate

# Queries

findCertificate :: DistinguishedName -> CertificateStore -> Maybe X509 Source

Find a certificate using the subject distinguished name

listCertificates :: CertificateStore -> [X509]Source

List all certificates in a store